Search Goals

Search for Goals using filters and pagination parameters.

Pagination parameters are currently accepted but not enforced.
Multiple filters can be combined in a single request. All filters use AND logic (goals must match ALL specified filters).

Testing notes:
- Use the testing widget's Try It! option to test this endpoint.
- Use the Examples > Request Example option to see how to initiate body parameters.

Body Params
fields
array of strings
required

List of fields IDs to include in the response. Use the metadata endpoints to fetch the available fields.

fields*
filters
array of objects

List of filters to apply to the search. Multiple filters use AND logic.

Leave the filters empty to fetch all results.

Goal filters:

status - Filter goals by current status. Supports multiple values.
- Values: onTrack, offTrack, completed, incomplete, other
- Example: ["onTrack", "completed"]

isPrivate - Filter goals by privacy setting (public vs private goals).
- Values: "true" (private), "false" (public)
- Example: ["false"] for public goals only

typeId - Filter goals by goal type ID to show only goals of specific types.
- Values: Goal type ID as string (e.g., "1", "5", "42")
- Example: ["5"] for goals of type ID 5

filters
integer

Maximum number of results to return (Note: pagination parameters are currently accepted but not enforced).

string

Cursor for pagination (Note: pagination parameters are currently accepted but not enforced).

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json